
package com.tmerclub.cloud.api.delivery.dto;

import com.tmerclub.cloud.common.order.vo.ShopCartItemVO;
import com.tmerclub.cloud.common.order.vo.UserDeliveryInfoVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @author tmerclub
 * @date 2020/12/15
 */
@Data
public class CalculateAndGetDeliverInfoDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    @Schema(description = "购物项")
    private List<ShopCartItemVO> shopCartItems;
    @Schema(description = "用户地址信息")
    private UserDeliveryInfoVO userDeliveryInfo;


    public CalculateAndGetDeliverInfoDTO() {
    }

    public CalculateAndGetDeliverInfoDTO(List<ShopCartItemVO> shopCartItems, UserDeliveryInfoVO userDeliveryInfo) {
        this.shopCartItems = shopCartItems;
        this.userDeliveryInfo = userDeliveryInfo;
    }

    public List<ShopCartItemVO> getShopCartItems() {
        return shopCartItems;
    }

    public void setShopCartItems(List<ShopCartItemVO> shopCartItems) {
        this.shopCartItems = shopCartItems;
    }

    public UserDeliveryInfoVO getUserDeliveryInfo() {
        return userDeliveryInfo;
    }

    public void setUserDeliveryInfo(UserDeliveryInfoVO userDeliveryInfo) {
        this.userDeliveryInfo = userDeliveryInfo;
    }

    @Override
    public String toString() {
        return "CalculateAndGetDeliverInfoDTO{" +
                "shopCartItems=" + shopCartItems +
                ", userDeliveryInfo=" + userDeliveryInfo +
                '}';
    }
}
